@import "../../_mixins.scss";

.accounting-contact-row {
  border-bottom: 1px solid #dcdcdc;
  margin-bottom: 10px;

  span {
    font-weight: 700;
    display: inline-block;
    margin-bottom: 5px;
  }
}

.create-provider-modal {
  .modal-header {
    border-top: 1px solid #dcdcdc;
  }

  .modal-footer {
    border-top: 1px solid #dcdcdc !important;

    .btn-add {
      margin-left: 17px;
    }
  }

  .field__label-label {
    @include text_one_line;
  }

  .provider-details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    .structured-url-wrapper {
      display: flex;
      flex-direction: column;
      width: 50%;
      padding-right: 0px;

      .structured-url-title {
        padding-bottom: 5px;
        margin-top: 5px;
      }
      .structured-url {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;

        &__protocol {
          padding: 0;
          flex-grow: 0.7;
        }

        .field-section {
          padding: 0;
          padding-left: 10px;
        }

        &__ext {
          padding: 10px 0 10px 5px;
        }
      }

      .structured-url__domain {
        display: flex;
        flex-direction: column;

        p {
          margin: auto;
          padding-left: 2px;
          padding-top: 8px;
          font-size: var(--font-s);
        }
      }
    }

    .only-show-url {
      padding-top: 10px;
    }

    .logo-box {
      display: flex;
      flex-direction: column;
      width: 100%;
      padding-right: 0px;
    }

    .provider-details__change-logo-btn {
      display: flex;
      flex-direction: column;
      width: 130px;
    }

    .radio-btn-group {
      padding-top: 10px;
    }
    .provider-url {
      input {
        margin-top: 16px;
      }
    }
  }
}

.provider-address,
.accounting-contact {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.provider-user-details {
  .customer-user__details-field {
    label:first-child {
      text-transform: uppercase !important;
    }
  }

  .customer-user__details-body {
    display: flex;
    flex-direction: column !important;
    flex-wrap: wrap;
  }

  .provider_section {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-bottom: 5px;
  }

  .customer-user__details-field--address {
    width: 50% !important;
  }

  .accounting-contact-section__title {
    margin: 0px 20px;
    padding-bottom: 5px;
    border-bottom: 1px solid #eeeeef;

    label {
      font-weight: 700;
    }
  }

  .accounting-contact-section {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
}

.logo-img {
  width: 200px;
  height: 60px;
  border: 1px solid #cccccc57;
}

.providers-listing {
  .superusers-listing__table {
    .status {
      padding: 2px 5px 2px 15px;
      border-radius: 3px;
      font-size: 11px;
      position: relative;

      &.status--Enabled {
        --status-color: green;
        border: 1px solid var(--status-color);
        color: var(--status-color);

        &::after {
          content: " ";
          display: block;
          position: absolute;
          top: 5px;
          left: 4px;
          min-height: 6px;
          width: 9px;
          background: transparent;
          border-left: 2px solid var(--status-color);
          border-bottom: 2px solid var(--status-color);
          transform: rotate(-45deg);
        }
      }

      &.status--Disabled {
        --status-color: red;
        border: 1px solid var(--status-color);
        color: var(--status-color);

        &::after {
          content: " ";
          position: absolute;
          top: 4px;
          left: 6px;
          width: 1px;
          height: 10px;
          border: 1px solid var(--status-color);
          transform: rotate(45deg);
        }

        &::before {
          content: " ";
          position: absolute;
          top: 4px;
          left: 6px;
          width: 1px;
          height: 10px;
          border: 1px solid var(--status-color);
          transform: rotate(-45deg);
        }
      }
    }
  }

  .superusers-listing__actions {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px 0 0;
    background: white;
  }

  .superusers-listing__actions-search {
    padding: 5px 15px;
  }

  .square-btn.superusers-listing__actions-create.btn.btn-primary {
    margin-right: 5px;
  }
}

.feature-access-container {
  width: 100%;
  margin-top: 20px;
  padding-bottom: 20px;
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  h5 {
    margin: 0;
    font-size: var(--font-xl);
    font-weight: 600;
    font-family: var(--font-first);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: white;
    border-bottom: 1px solid #eee;
    padding: 15px 20px;
  }
  .feature-access-row {
    padding-top: 10px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
  }
  .save-feat-acc-btn {
    width: 125px;
    margin-top: 10px;
    margin-left: 20px;
  }
}
